Events APIs
Access the Spark events.
Get an Excel file with the user events logged in Spark. This is equivalent to the Options, Event viewer, Download events.
Authorizations
AuthorizationstringRequired
Bearer token can be accessed from the user menu.
Path parameters
tenantstringRequiredExample:
Tenant is part of your sign-in URL and also available in the user menu.
mytenantBody
page_nointeger · nullableOptional
Page number of the list to get.
page_sizeinteger · nullableOptional
Number of records per page.
sort_columnstring · nullableOptionalExample:
String defining the sort column.
event_timestampsort_ordernull,string · enum · nullableOptionalPossible values:
Set the sort order for sort_column.
Responses
200
OK
application/json
objectOptional
post/{tenant}/api/v4/events/download
POST /{tenant}/api/v4/events/download HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 457
{
"page_size": 100,
"page_no": 1,
"sort_column": "event_timestamp",
"sort_order": "desc",
"search": [
{
"column": "folder_id",
"value": "0ff2f522-37db-40a6-bc26-6a0e80a53f4f"
},
{
"column": "event_start_date",
"value": "2026-01-31T15:08:00.000Z"
},
{
"column": "event_end_date",
"value": "2026-03-02T15:08:00.000Z"
},
{
"column": "service_name",
"value": "myservice"
},
{
"column": "user_name",
"value": "myuser@mydomain.com"
},
{
"column": "event_types",
"value": [
"PublishEngine",
"DownloadEngine"
]
}
]
}200
OK
{
"object": "events",
"id": "19caf63c-76e7-3c8c-b624-9a8a6c8a7293",
"status_url": "https://excel.myenvironment.coherent.global/mytenant/api/v4/events/download/19caf63c-76e7-3c8c-b624-9a8a6c8a7293/status"
}Get an Excel file with the user events logged in Spark. This is equivalent to the Options, Event viewer, Download events.
Authorizations
AuthorizationstringRequired
Bearer token can be accessed from the user menu.
Path parameters
tenantstringRequiredExample:
Tenant is part of your sign-in URL and also available in the user menu.
mytenantjobIdstring · uuidRequiredExample:
job_id associated from POST job.
b13a5526-60c8-43cc-840f-2c76dca701d9Responses
200
OK
application/json
objectOptional
get/{tenant}/api/v4/events/download/{jobId}/status
GET /{tenant}/api/v4/events/download/{jobId}/status HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
{
"id": "19caf63c-76e7-3c8c-b624-9a8a6c8a7293",
"status_url": "https://myenvironment.coherent.global/mytenant/api/v4/events/download/19caf63c-76e7-3c8c-b624-9a8a6c8a7293/status",
"response_timestamp": "2026-03-03T12:41:44.391Z",
"status": "Success",
"process_time": 8697,
"outputs": {
"files": [
{
"file": "https://myenvironment.coherent.global/coherent_events_2026_03_03_T_12_40_40.xlsx",
"file_hash": null
}
]
},
"error": null,
"source_system": "SPARK",
"correlation_id": ""
}Last updated
